<script setup lang="ts">
import draggable from "vuedraggable"
import { defineEmits, ref } from "vue"
import { useRoute } from "vue-router"

const emit = defineEmits(["custom-event"])
const route = useRoute()
const itemsStore = ref([
  {
    id: 0,
    title: "api",
    list: 1,
  },
  {
    id: 1,
    title: "popup",
    list: 1,
  },
])

const items = ref([
  {
    id: 3,
    title: "Item A",
    list: 1,
  },
])

const onChange = () => {
  emit("updateValue", items.value)
  console.log("items: ", items.value)
  console.log("itemsStore: ", itemsStore.value)
}

const deleteItem = (id) => {
  const index = items.value.findIndex(item => item.id === id)
  if (index !== -1) {
    items.value.splice(index, 1)
  }
}
</script>

<template>
  <div class="container">
    <h1 class="mt-6">
      Inventaire
    </h1>
    <draggable v-model="itemsStore" :group="{ name: 'items', pull: 'clone', put: false }" tag="ul" class="automation-container" @update:modelValue="onChange">
      <template #item="{ element: item }">
        <li :key="item.id" class="box">
          <div class="title">
            {{ item.title }}
          </div>
        </li>
      </template>
    </draggable>

    <h1 class="mt-6">
      Automation
    </h1>
    <draggable v-model="items" :group="{ name: 'items', pull: 'clone', put: true }" tag="ul" class="automation-container" @update:modelValue="onChange">
      <template #item="{ element: item }">
        <li :key="item.id" class="box">
          <div class="title">
            {{ item.title }}
          </div>
          <button class="delete-button" @click="deleteItem(item.id)">
            X
          </button>
        </li>
      </template>
    </draggable>
  </div>
</template>

<style scoped>
.container {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.box {
  position: relative;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  text-align: center;
  width: 100px;
  height: 100px;
  margin: 0 30px;
  background-color: #033b0b;
  border-radius: 10px;
}

.title {
  text-align: center;
  color: white;
}

.automation-container {
  min-width: 300px;
  display: flex;
  background-color: #d3d3d3fb;
  border-radius: 10px;
}

.delete-button {
  position: absolute;
  top: 5px;
  right: 5px;
  background-color: transparent;
  border: none;
  cursor: pointer;
  color: white;
}
</style>
